> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List project columns



## OpenAPI

````yaml /swagger.yaml get /columns/project/{id}
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /columns/project/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Column
      summary: List project columns
      operationId: project_columns#list
      parameters:
        - name: property
          in: query
          schema:
            type: string
            enum:
              - pricing
              - project
              - product
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/columns'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    columns:
      type: array
      items:
        $ref: '#/components/schemas/column'
    error:
      type: object
      properties:
        error:
          type: string
    column:
      type: object
      properties:
        id:
          type: integer
        key:
          type: string
        type:
          type: string
        position:
          type: integer
        property:
          type: string
          enum:
            - project
            - product
            - pricing
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````